curl --request GET \
--url https://integration.getmateo.com/api/v1/appointment_details \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/appointment_details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/appointment_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"external_id": "<string>",
"status_key": "<string>",
"type_key": "<string>",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": "<string>",
"end_time": "<string>",
"confirmed_at": "<string>",
"cancelled_at": "<string>",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]List Appointment Details
Retrieve a list of appointment data with custom fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Appointment ID
Creation date
Latest update
Organisation ID
Name of the appointment
Description of the appointment
External ID
Status Key
Type Key
Assignee ID
Contact ID
Start time of the appointment
End time of the appointment
Confirmed at timestamp
Cancelled at timestamp
Location ID
Filtering Columns
Ordering. Allowed Fields: start_time
Limiting and Pagination
Limiting and Pagination
Response
OK
Appointment ID
Creation date
Latest update
Organisation ID
Name of the appointment
Description of the appointment
External ID
Status Key
Type Key
Assignee ID
Contact ID
Start time of the appointment
End time of the appointment
Confirmed at timestamp
Cancelled at timestamp
Location ID
"your string custom field"